Bug 1873166 - Styling and heading of operator installing screen incorrect
Summary: Styling and heading of operator installing screen incorrect
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Robb Hamilton
QA Contact: Yanping Zhang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-27 14:37 UTC by Peter Kreuser
Modified: 2020-09-02 11:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
The current build styling with callouts (388.51 KB, image/png)
2020-08-27 14:37 UTC, Peter Kreuser
no flags Details
Original design styling (390.36 KB, image/png)
2020-08-27 14:38 UTC, Peter Kreuser
no flags Details
Incorrect heading upon operator install with initialization-cr annotation (107.64 KB, image/png)
2020-08-27 14:38 UTC, Peter Kreuser
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6467 None closed Bug 1873166: Align operator installing details with design 2020-09-22 13:59:44 UTC

Description Peter Kreuser 2020-08-27 14:37:52 UTC
Created attachment 1712832 [details]
The current build styling with callouts

Description of problem:
1). The “Operator installing message” (muted text) and the help text for prompting init CR (black text) are too close, and should have similar spacing as the other elements on that screen.

2) The border color of the CR is different from other border color in console. Others mostly use “--pf-global--BorderColor--300” (lighter gray).

3) The heading once an operator has been installed with the initialization-cr annotation should read "Installed operator - operand required". Right now it reads "Ready for use" which is not accurate.

Version-Release number of selected component (if applicable):
4.6

How reproducible:
Always

Steps to Reproduce:
1.Install an operator that has a custom resource specified for the new initialization-cr annotation
2.View the styling issues as the operator installs
3.View the heading issue once the operator has installed and the operand is ready to be created

Actual results:
Spacing is too close, CR border color too dark, heading reads "Installed operator - ready for use"

Expected results:
Spacing should match design, CR border color should be lighter and match design, heading should read "Installed operator - operand required"


Additional info:

Comment 1 Peter Kreuser 2020-08-27 14:38:15 UTC
Created attachment 1712833 [details]
Original design styling

Comment 2 Peter Kreuser 2020-08-27 14:38:57 UTC
Created attachment 1712834 [details]
Incorrect heading upon operator install with initialization-cr annotation

Comment 5 Yanping Zhang 2020-09-02 11:46:24 UTC
Checked on ocp 4.6 with payload 4.6.0-0.nightly-2020-09-01-070508.
Install portworx operator, on the installation flow modal, it shows "Installed operator - operand required". The message styles are also updated.
The bug is fixed.


Note You need to log in before you can comment on or make changes to this bug.